# `taurus.core.util.parse_args`

Functions

parse_args(s, strip_pars=False)

  Parse a string representing arguments to a method to return the corresponding args and kwargs.

  Parameters:

    - s – string representing arguments to a method

    - strip_pars (bool) – If True, expect s to include surrounding parenthesis

  Returns:

    args, kwargs (a list of positional arguments and a dict of keyword arguments)